High Prefect Osborn:
Monks are priests that devote themselves to the path of flame. Unlike Raiders, they do not rely on swords or large weapons, but use their own bodies as weapons of war. Because they do not depend on weapons or armor, they learn many skills to protect themselves.
The finest Monks are selected to become Tyrants, for still more advanced physical and technical training.
Ask about changing professions to a Monk
Change profession to a Monk
Return